Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class Log4jLogger

    java.lang.Object
      org.apache.logging.slf4j.Log4jLogger

All Implemented Interfaces:
  Serializable, org.slf4j.Logger, org.slf4j.spi.LocationAwareLogger

    public class Log4jLogger

extends Object
implements org.slf4j.spi.LocationAwareLogger, Serializable

SLF4J logger implementation that uses Log4j.

See Also:
  Serialized Form

Field Summary
`static String` | `FQCN`

Fields inherited from interface org.slf4j.spi.LocationAwareLogger
`DEBUG_INT, ERROR_INT, INFO_INT, TRACE_INT, WARN_INT`

Fields inherited from interface org.slf4j.Logger
`ROOT_LOGGER_NAME`

Constructor Summary
`Log4jLogger(org.apache.logging.log4j.spi.ExtendedLogger logger, String name)`

Method Summary
`void` | `debug(org.slf4j.Marker marker, String s)`
`void` | `debug(org.slf4j.Marker marker, String s, Object... objects)`
`void` | `debug(org.slf4j.Marker marker, String s, Object o)`
`void` | `debug(org.slf4j.Marker marker, String s, Object o, Object o1)`
`void` | `debug(org.slf4j.Marker marker, String s, Throwable throwable)`
`void` | `debug(String format)`
`void` | `debug(String format, Object... args)`
`void` | `debug(String format, Object o)`
`void` | `debug(String format, Object arg1, Object arg2)`
`void` | `debug(String format, Throwable t)`
`void` | `error(org.slf4j.Marker marker, String s)`
`void` | `error(org.slf4j.Marker marker, String s, Object... objects)`
`void` | `error(org.slf4j.Marker marker, String s, Object o)`
`void` | `error(org.slf4j.Marker marker, String s, Object o, Object o1)`
`void` | `error(org.slf4j.Marker marker, String s, Throwable throwable)`
`void` | `error(String format)`
`void` | `error(String format, Object... args)`
`void` | `error(String format, Object o)`
`void` | `error(String format, Object arg1, Object arg2)`
`void` | `error(String format, Throwable t)`
`String` | `getName()`
`void` | `info(org.slf4j.Marker marker, String s)`
`void` | `info(org.slf4j.Marker marker, String s, Object... objects)`
`void` | `info(org.slf4j.Marker marker, String s, Object o)`
`void` | `info(org.slf4j.Marker marker, String s, Object o, Object o1)`
`void` | `info(org.slf4j.Marker marker, String s, Throwable throwable)`
`void` | `info(String format)`
`void` | `info(String format, Object... args)`
`void` | `info(String format, Object o)`
`void` | `info(String format, Object arg1, Object arg2)`
`void` | `info(String format, Throwable t)`
`boolean` | `isDebugEnabled()`
`boolean` | `isDebugEnabled(org.slf4j.Marker marker)`
`boolean` | `isErrorEnabled()`
`boolean` | `isErrorEnabled(org.slf4j.Marker marker)`
`boolean` | `isInfoEnabled()`
`boolean` | `isInfoEnabled(org.slf4j.Marker marker)`
`boolean` | `isTraceEnabled()`
`boolean` | `isTraceEnabled(org.slf4j.Marker marker)`
`boolean` | `isWarnEnabled()`
`boolean` | `isWarnEnabled(org.slf4j.Marker marker)`
`void` | `log(org.slf4j.Marker marker, String fqcn, int level, String message, Object[] params, Throwable throwable)`
`void` | `trace(org.slf4j.Marker marker, String s)`
`void` | `trace(org.slf4j.Marker marker, String s, Object... objects)`
`void` | `trace(org.slf4j.Marker marker, String s, Object o)`
`void` | `trace(org.slf4j.Marker marker, String s, Object o, Object o1)`
`void` | `trace(org.slf4j.Marker marker, String s, Throwable throwable)`
`void` | `trace(String format)`
`void` | `trace(String format, Object... args)`
`void` | `trace(String format, Object o)`
`void` | `trace(String format, Object arg1, Object arg2)`
`void` | `trace(String format, Throwable t)`
`void` | `warn(org.slf4j.Marker marker, String s)`
`void` | `warn(org.slf4j.Marker marker, String s, Object... objects)`
`void` | `warn(org.slf4j.Marker marker, String s, Object o)`
`void` | `warn(org.slf4j.Marker marker, String s, Object o, Object o1)`
`void` | `warn(org.slf4j.Marker marker, String s, Throwable throwable)`
`void` | `warn(String format)`
`void` | `warn(String format, Object... args)`
`void` | `warn(String format, Object o)`
`void` | `warn(String format, Object arg1, Object arg2)`
`void` | `warn(String format, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FQCN

    public static final String FQCN

Constructor Detail

### Log4jLogger

    public Log4jLogger(org.apache.logging.log4j.spi.ExtendedLogger logger,
                       String name)

Method Detail

### trace

    public void trace(String format)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(String format,
                      Object o)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(String format,
                      Object arg1,
                      Object arg2)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(String format,
                      Object... args)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(String format,
                      Throwable t)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `org.slf4j.Logger`

### isTraceEnabled

    public boolean isTraceEnabled(org.slf4j.Marker marker)

  Specified by:
    `isTraceEnabled` in interface `org.slf4j.Logger`

### trace

    public void trace(org.slf4j.Marker marker,
                      String s)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(org.slf4j.Marker marker,
                      String s,
                      Object o)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(org.slf4j.Marker marker,
                      String s,
                      Object o,
                      Object o1)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(org.slf4j.Marker marker,
                      String s,
                      Object... objects)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### trace

    public void trace(org.slf4j.Marker marker,
                      String s,
                      Throwable throwable)

  Specified by:
    `trace` in interface `org.slf4j.Logger`

### debug

    public void debug(String format)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(String format,
                      Object o)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(String format,
                      Object arg1,
                      Object arg2)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(String format,
                      Object... args)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(String format,
                      Throwable t)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.slf4j.Logger`

### isDebugEnabled

    public boolean isDebugEnabled(org.slf4j.Marker marker)

  Specified by:
    `isDebugEnabled` in interface `org.slf4j.Logger`

### debug

    public void debug(org.slf4j.Marker marker,
                      String s)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(org.slf4j.Marker marker,
                      String s,
                      Object o)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(org.slf4j.Marker marker,
                      String s,
                      Object o,
                      Object o1)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(org.slf4j.Marker marker,
                      String s,
                      Object... objects)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### debug

    public void debug(org.slf4j.Marker marker,
                      String s,
                      Throwable throwable)

  Specified by:
    `debug` in interface `org.slf4j.Logger`

### info

    public void info(String format)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(String format,
                     Object o)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(String format,
                     Object arg1,
                     Object arg2)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(String format,
                     Object... args)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(String format,
                     Throwable t)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.slf4j.Logger`

### isInfoEnabled

    public boolean isInfoEnabled(org.slf4j.Marker marker)

  Specified by:
    `isInfoEnabled` in interface `org.slf4j.Logger`

### info

    public void info(org.slf4j.Marker marker,
                     String s)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(org.slf4j.Marker marker,
                     String s,
                     Object o)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(org.slf4j.Marker marker,
                     String s,
                     Object o,
                     Object o1)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(org.slf4j.Marker marker,
                     String s,
                     Object... objects)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### info

    public void info(org.slf4j.Marker marker,
                     String s,
                     Throwable throwable)

  Specified by:
    `info` in interface `org.slf4j.Logger`

### warn

    public void warn(String format)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(String format,
                     Object o)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(String format,
                     Object arg1,
                     Object arg2)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(String format,
                     Object... args)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(String format,
                     Throwable t)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `org.slf4j.Logger`

### isWarnEnabled

    public boolean isWarnEnabled(org.slf4j.Marker marker)

  Specified by:
    `isWarnEnabled` in interface `org.slf4j.Logger`

### warn

    public void warn(org.slf4j.Marker marker,
                     String s)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(org.slf4j.Marker marker,
                     String s,
                     Object o)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(org.slf4j.Marker marker,
                     String s,
                     Object o,
                     Object o1)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(org.slf4j.Marker marker,
                     String s,
                     Object... objects)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### warn

    public void warn(org.slf4j.Marker marker,
                     String s,
                     Throwable throwable)

  Specified by:
    `warn` in interface `org.slf4j.Logger`

### error

    public void error(String format)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(String format,
                      Object o)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(String format,
                      Object arg1,
                      Object arg2)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(String format,
                      Object... args)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(String format,
                      Throwable t)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `org.slf4j.Logger`

### isErrorEnabled

    public boolean isErrorEnabled(org.slf4j.Marker marker)

  Specified by:
    `isErrorEnabled` in interface `org.slf4j.Logger`

### error

    public void error(org.slf4j.Marker marker,
                      String s)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(org.slf4j.Marker marker,
                      String s,
                      Object o)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(org.slf4j.Marker marker,
                      String s,
                      Object o,
                      Object o1)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(org.slf4j.Marker marker,
                      String s,
                      Object... objects)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### error

    public void error(org.slf4j.Marker marker,
                      String s,
                      Throwable throwable)

  Specified by:
    `error` in interface `org.slf4j.Logger`

### log

    public void log(org.slf4j.Marker marker,
                    String fqcn,
                    int level,
                    String message,
                    Object[] params,
                    Throwable throwable)

  Specified by:
    `log` in interface `org.slf4j.spi.LocationAwareLogger`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.slf4j.Logger`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.